angular.module('openITCOCKPIT')
    .controller('EventcorrelationsHostUsedByController', function($scope, $state, $stateParams, $http, RedirectService){

        $scope.id = $stateParams.id;
        $scope.deleteUrl = '/eventcorrelation_module/eventcorrelations/delete/';

        $scope.getObjectForDelete = function(Eventcorrelation){
            var object = {};
            object[Eventcorrelation.Hosts.id] = Eventcorrelation.Hosts.name;
            return object;
        };

        $scope.load = function(){
            $http.get("/eventcorrelation_module/eventcorrelations/hostUsedBy/" + $scope.id + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.host = result.data.host;
                $scope.eventcorrelations = result.data.eventcorrelations;

                $scope.init = false;
            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };


        //Fire on page load
        $scope.load();
    });
