<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace EventcorrelationModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * EventcorrelationSetting Entity
 *
 * @property int $id
 * @property string $configuration_option
 * @property string $monitoring_system
 * @property int $status_disabled_service
 * @property \Cake\I18n\FrozenTime $created
 * @property \Cake\I18n\FrozenTime $modified
 */
class EventcorrelationSetting extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'configuration_option'    => true,
        'monitoring_system'       => true,
        'status_disabled_service' => true,
        'created'                 => true,
        'modified'                => true,
    ];
}
