angular.module('openITCOCKPIT')
    .controller('EventcorrelationsUsedByController', function($scope, $http, $state, $stateParams){

        $scope.id = $stateParams.id;
        $scope.total = 0;
        $scope.load = function(){
            $http.get("/eventcorrelation_module/eventcorrelations/usedBy/" + $scope.id + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.total = Object.keys(result.data.usedBy.usedBy).length;
                $scope.evcHost = result.data.usedBy;
                $scope.usedBy = result.data.usedBy.usedBy;

            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };

        //Fire on page load
        $scope.load();
    });
