angular.module('openITCOCKPIT').directive('evcServicestatus', function($http, $interval, $httpParamSerializer){
    return {
        restrict: 'E',
        templateUrl: '/eventcorrelation_module/eventcorrelations/getServicestatus.html',

        controller: function($scope){

            $scope.loadEvcServicestatus = function(serviceId){
                $http.get("/eventcorrelation_module/eventcorrelations/getServicestatus/" + serviceId + ".json", {
                    params: {
                        'angular': true
                    }
                }).then(function(result){
                    $('.map-summary-state-popover').switchClass('slideOutRight', 'slideInRight');
                    $scope.host = result.data.host;
                    $scope.service = result.data.service;
                    $scope.hoststatus = result.data.hoststatus;
                    $scope.servicestatus = result.data.servicestatus;
                    $scope.startInterval();
                });
            };
            $scope.hideTooltip = function($event){
                $($event.currentTarget).switchClass('slideInRight', 'slideOutRight');
                $scope.stopInterval();
            };

            $scope.startInterval = function(){
                var showFor = 5000;
                var intervalSpeed = 10;
                $scope.percentValue = 100;

                $scope.stopInterval();

                $scope.intervalRef = $interval(function(){
                    showFor = showFor - intervalSpeed;
                    if(showFor === 0){
                        $scope.stopInterval();
                        $('.map-summary-state-popover').switchClass('slideInRight', 'slideOutRight');
                    }

                    $scope.percentValue = showFor / 5000 * 100;
                }, intervalSpeed);
            };

            $scope.stopInterval = function(){
                if(typeof $scope.intervalRef !== "undefined"){
                    $interval.cancel($scope.intervalRef);
                }

            };
        },

        link: function(scope, element, attr){
            scope.showEvcServicestatus = function(serviceId){ //--> is summary item (true / false)
                scope.loadEvcServicestatus(serviceId);
            };
        }
    };
});
