openITCOCKPIT.config(function($stateProvider){
    $stateProvider
        .state('EventcorrelationsIndex', {
            url: '/eventcorrelation_module/eventcorrelations/index',
            templateUrl: "/eventcorrelation_module/eventcorrelations/index.html",
            controller: "EventcorrelationsIndexController"
        })

        .state('EventcorrelationsView', {
            url: '/eventcorrelation_module/eventcorrelations/view/:id',
            templateUrl: "/eventcorrelation_module/eventcorrelations/view.html",
            controller: "EventcorrelationsViewController"
        })

        .state('EventcorrelationsSummaryView', {
            url: '/eventcorrelation_module/eventcorrelations/summary_view/:id',
            templateUrl: "/eventcorrelation_module/eventcorrelations/summary_view.html",
            controller: "EventcorrelationsSummaryViewController"
        })

        .state('EventcorrelationsSettingsIndex', {
            url: '/eventcorrelation_module/eventcorrelation_settings/index',
            templateUrl: "/eventcorrelation_module/eventcorrelation_settings/index.html",
            controller: "EventcorrelationsSettingsIndexController"
        })

        .state('EventcorrelationsAdd', {
            url: '/eventcorrelation_module/eventcorrelations/add',
            templateUrl: "/eventcorrelation_module/eventcorrelations/add.html",
            controller: "EventcorrelationsAddController"
        })

        .state('EventcorrelationsEditCorrelation', {
            url: '/eventcorrelation_module/eventcorrelations/editCorrelation/:id/:highlightHostId/:highlightServiceId',
            params: {
                highlightHostId: {
                    value: null,
                    squash: true
                },
                highlightServiceId: {
                    value: null,
                    squash: true
                }
            },
            templateUrl: "/eventcorrelation_module/eventcorrelations/editCorrelation.html",
            controller: "EventcorrelationsEditCorrelationController",
        })

        .state('EventcorrelationsUsedBy', {
            url: '/eventcorrelation_module/eventcorrelations/usedBy/:id',
            templateUrl: "/eventcorrelation_module/eventcorrelations/usedBy.html",
            controller: "EventcorrelationsUsedByController"
        })

        .state('EventcorrelationsHostUsedBy', {
            url: '/eventcorrelation_module/eventcorrelations/hostUsedBy/:id',
            templateUrl: '/eventcorrelation_module/eventcorrelations/hostUsedBy.html',
            controller: 'EventcorrelationsHostUsedByController'
        })

        .state('EventcorrelationsServiceUsedBy', {
            url: '/eventcorrelation_module/eventcorrelations/serviceUsedBy/:id',
            templateUrl: '/eventcorrelation_module/eventcorrelations/serviceUsedBy.html',
            controller: 'EventcorrelationsServiceUsedByController'
        })

});
